--disable on  commando
--cavity stow has clipping
Hooks:PostHook(WeaponFactoryTweakData, "init", "HeartbeatSensor_Init_Stancemods", function(self)
	if BeardLib.Utils:FindMod("Custom Attachment Points") or BeardLib.Utils:FindMod("WeaponLib") then
		self.parts.wpn_fps_upg_gadget_heartsensor.a_obj = "a_lrail"
	end
	
	local function add_forbid(dest_part) --you know, i write a lot of sanity checks for someone called "Offyerrocker"
		if not self.parts[dest_part] then log("[HEARTBEAT SENSOR] ********************** WeaponFactoryTweakData INIT part data for " .. tostring(dest_part) .. " does not exist!!!!") return end
--		self.parts[dest_part] = self.parts[dest_part] or {}
		self.parts[dest_part].forbids = self.parts[dest_part].forbids or {}
		table.insert(self.parts[dest_part].forbids,"wpn_fps_upg_gadget_heartsensor")
	end
	
	local function add_adds(wpn,dest_part)
		if not self[wpn] then log("[HEARTBEAT SENSOR] ********************** WeaponFactoryTweakData INIT weapon data for " .. tostring(wpn) .. " does not exist!!!!") return end
		self[wpn].adds = self[wpn].adds or {}
		self[wpn].adds.wpn_fps_upg_gadget_heartsensor = self[wpn].adds.wpn_fps_upg_gadget_heartsensor or {}
		if not table.contains(self[wpn].adds.wpn_fps_upg_gadget_heartsensor,dest_part) then
			table.insert(self[wpn].adds.wpn_fps_upg_gadget_heartsensor,dest_part)
		end
	end
	
	-- Commando 553 Rifle / SG 552 Commando
		add_forbid("wpn_fps_ass_s552_fg_standard") --Default foregrip
		add_forbid("wpn_fps_ass_s552_fg_standard_green") --Enhanced Foregrip
	--allowed:
		--wpn_fps_ass_s552_fg_railed --Railed Foregrip
	
	
	-- Eagle Heavy Rifle 
		--uhhh.. this space intentionally left blank
		
	-- Union 7.62 Rifle / UAR
		--you're on the list sir
		
	-- CAR/AK family (CAR-4, AK, AK 7.62, Golden AK 7.62, AMR-16) (AK5 is not cool enough to join the club)
		-- AK Rifle / AK 7.62
		add_forbid("wpn_upg_ak_fg_standard") --Default foregrip
		add_forbid("wpn_upg_ak_fg_combo2") --Railed Wooden Handguard
		add_forbid("wpn_fps_upg_ak_fg_tapco") --Battleproven Handguard
		--allowed:
			--wpn_upg_ak_fg_combo3 --Tactical Russian Handguard
			--wpn_fps_upg_fg_midwest --Lightweight Rail
			--wpn_fps_upg_ak_fg_krebs --Crabs Rail
			--wpn_fps_upg_ak_fg_trax --Keymod Rail
		-- CAR-4
		add_forbid("wpn_fps_m4_uupg_fg_lr300") --Aftermarket Special Handguard
		add_forbid("wpn_fps_upg_fg_jp") --Competition Foregrip
		add_forbid("wpn_fps_upg_fg_smr") --Gazelle Rail
		--allowed:
			-- wpn_fps_m4_uupg_fg_rail -- Default foregrip
			-- wpn_fps_upg_ass_m4_fg_moe -- E.M.O. Foregrip
			-- wpn_fps_upg_ass_m4_fg_lvoa -- OVAL Foregrip
		-- AMR-16 (M-16)
		add_forbid("wpn_fps_m16_fg_standard") -- Default foregrip
		add_forbid("wpn_fps_m16_fg_vietnam") -- Blast From The Past Handguard
		add_forbid("wpn_fps_upg_ass_m16_fg_stag") -- Long Ergo Foregrip
		-- Golden AK 7.62
		add_forbid ("wpn_upg_ak_fg_standard_gold") -- Default foregrip
	
	-- UAR / AUG
		self.wpn_fps_ass_aug.adds.wpn_fps_upg_gadget_heartsensor = {
			"wpn_fps_aug_fg_a3"
		}

	--requires:
		-- wpn_fps_aug_fg_a3 --A3 Tactical Foregrip (Extra)
	
	--Cavity 7.62 (Sub2000)
		add_forbid("wpn_fps_ass_sub2000_fg_gen1") --Default foregrip
		add_forbid("wpn_fps_ass_sub2000_fg_railed") --Delabarre Foregrip
		add_forbid("wpn_fps_ass_sub2000_fg_gen2") --Appalachian Foregrip
	--allowed: 
		-- wpn_fps_ass_sub2000_fg_suppressed -- Tooth Fairy Suppressor
		
	--JP36 Rifle / G36
		add_forbid("wpn_fps_upg_g36_fg_long") --JP36 Long Foregrip
	--allowed: 
		-- wpn_fps_ass_g36_fg_k -- Default Foregrip
		-- wpn_fps_ass_g36_fg_c -- Compact Foregrip
		-- wpn_fps_ass_g36_fg_ksk -- Polizei Special Foregrip
		
	--Bootleg Rifle / HK416C
		--leeloo dallas, multi-pass
		
	--Queen's Wrath Rifle / L85A2
		add_forbid("wpn_fps_ass_l85a2_fg_medium") --Default foregrip
		--allowed:
			-- wpn_fps_ass_l85a2_fg_short -- Versatile Foregrip
			
	--M308 / M1A SOCOM 16
		add_forbid("wpn_fps_ass_m14_body_dmr") --Default body
		add_forbid("wpn_fps_ass_m14_body_ruger") -- B-Team Stock
		--allowed:
			-- wpn_fps_ass_m14_body_ebr -- Abraham Body
			-- wpn_fps_ass_m14_body_jae -- Jaeger Body
		
	--Valkyria / AS Val
		add_forbid("wpn_fps_ass_asval_b_standard") -- Default barrel
		--allowed: 
			-- wpn_fps_ass_asval_b_proto -- Prototype Barrel
	
	-- Gecko 7.62 Rifle / Galil
		
		add_forbid("wpn_fps_ass_galil_fg_standard") -- Default foregrip
		add_forbid("wpn_fps_ass_galil_fg_mar") -- CQB Foregrip
		add_forbid("wpn_fps_ass_galil_fg_sar") -- Light Foregrip
		add_forbid("wpn_fps_ass_galil_fg_sniper") -- Sniper Foregrip
		--allowed: 
			-- wpn_fps_ass_galil_fg_fab -- Fabulous Foregrip
			
	-- Little Friend 7.62
		--Pass
	
	-- Falcon 7.62 / FAL
		add_forbid("wpn_fps_ass_fal_fg_standard") -- Default foregrip
		add_forbid("wpn_fps_ass_fal_fg_03") -- Retro Foregrip
		add_forbid("wpn_fps_ass_fal_fg_04") -- Marksman Foregrip
		add_forbid("wpn_fps_ass_fal_fg_wood") -- Wooden Foregrip
		--allowed:
			-- wpn_fps_ass_fal_fg_01 -- CQB Foregrip
			
	-- Gewehr / G3A3
		add_forbid("wpn_fps_ass_g3_fg_bipod") -- Default foregrip
		add_forbid("wpn_fps_ass_g3_fg_psg") -- Precision Foregrip
		add_forbid("wpn_fps_ass_g3_fg_retro") -- Wooden Foregrip
		add_forbid("wpn_fps_ass_g3_fg_retro_plastic") -- Plastic Foregrip
		--allowed:
			-- wpn_fps_ass_g3_fg_railed -- Tactical Foregrip

	-- IZHMA 12G / Saiga
		add_forbid("wpn_upg_saiga_fg_standard") -- Default foregrip
		add_forbid("wpn_fps_sho_saiga_fg_holy") -- Hollow Handle
		--allowed:
			-- wpn_upg_saiga_fg_lowerrail -- The Tactical Russian Rail
			
	-- Steakout 12G / AA12
		add_adds("wpn_fps_sho_aa12","wpn_fps_addon_ris") -- adds the rail thingy
		


--********************* MODDED WEAPONS *********************--
	--the Remington ACR
	add_forbid("wpn_fps_ass_acwr_covers")
	--https://modworkshop.net/mod/19917

end)